package Model;

/**
 * Class representing a word filter which is necessary for "learning" words.
 *
 */
public class WordFilter {
	
	/**
	 * Attributes
	 */
	private double learningThreshold_;
	private int frequencyThreshold_;
	
	/**
	 * Standard constructor
	 */
	public WordFilter(){
		
	}
	
	/**
	 * Explicit constructor
	 * 
	 * @param a
	 * 			learning threshold
	 * @param b
	 * 			frequency threshold
	 */
	public WordFilter(double a, int b){
		learningThreshold_ = a;
		frequencyThreshold_ = b;
	}
	
	//SETTER
	
	public void setLT(double a){
		learningThreshold_ = a;
	}
	
	public void setFT(int a){
		frequencyThreshold_ = a;
	}
	
	//GETTER
	
	public double getLT(){
		return learningThreshold_;
	}
	
	public int getFT(){
		return frequencyThreshold_;
	}

}
